﻿using System.Windows;

namespace Songhay.Wpf.BiggestBox
{
    /// <summary>
    /// The WPF BiggestBox Application
    /// </summary>
    public partial class App : Application
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="App"/> class.
        /// </summary>
        public App()
        {
            this.DispatcherUnhandledException += (s, args) =>
            {
                MessageBox.Show(string.Format("An error occurred: {0}",args.Exception.Message), "Error");
                args.Handled = true;
            };

            var host = BiggestBoxCompositionHost.MefHost;
            var visual = host.GetRootVisual();
            visual.Show();
        }
    }
}
