
namespace Songhay.Models
{
    /// <summary>
    /// Defines The type of Client event
    /// of the <see cref="Songhay.Models.ClientMessage&lt;TClient&gt;"/>.
    /// </summary>
    public enum ClientEvent
    {
        /// <summary>
        /// Client event
        /// </summary>
        AddedChildren,
        /// <summary>
        /// Client event
        /// </summary>
        Closed,
        /// <summary>
        /// Client event
        /// </summary>
        Closing,
        /// <summary>
        /// Client event
        /// </summary>
        Composed,
        /// <summary>
        /// Client event
        /// </summary>
        Loaded,
        /// <summary>
        /// Client event
        /// </summary>
        Navigated,
        /// <summary>
        /// Client event
        /// </summary>
        Navigating,
        /// <summary>
        /// Client event
        /// </summary>
        NavigationFailed
    }
}
