﻿using System;
using System.Windows;

namespace Songhay.Wpf.BiggestBox.IndexPart.Views
{
    /// <summary>
    /// Packed XAML Window
    /// </summary>
    public partial class PackedXamlWindow : Window
    {
        /// <summary>
        /// Initializes a new instance of the <see cref="PackedXamlWindow"/> class.
        /// </summary>
        public PackedXamlWindow()
        {
            InitializeComponent();
        }

        /// <summary>
        /// Initializes a new instance of the <see cref="PackedXamlWindow"/> class.
        /// </summary>
        /// <param name="pageUri">The page URI.</param>
        /// <param name="s">The s.</param>
        public PackedXamlWindow(Uri pageUri, string xaml)
        {
            InitializeComponent();

            this.SampleTabControl.Loaded += (s, args) =>
            {
                this.SampleView.Navigate(pageUri);
                this.SampleXamlSource.Text = xaml;
            };
        }
    }
}
