﻿using System.Reflection;
using GalaSoft.MvvmLight.Messaging;

namespace Songhay.Mvvm.Models
{
    /// <summary>
    /// A Composition Message
    /// for <see cref="Songhay.Silverlight.Mvvm.ViewModels.AboutViewModel"/>.
    /// </summary>
    public class AboutViewMessage : MessageBase
    {
        /// <summary>
        /// Gets or sets the About assembly reference.
        /// </summary>
        /// <value>The About assembly reference.</value>
        public Assembly AboutAssemblyReference { get; set; }
    }
}
