﻿
namespace Songhay.Wpf.Mvvm.Models
{
    using Songhay.Models;

    /// <summary>
    /// A Composition Message
    /// for the conventional Command Dictionary
    /// </summary>
    public class BackgroundWorkerCommandDictionaryMessage
    {
        /// <summary>
        /// Gets or sets the dictionary key.
        /// </summary>
        /// <value>The dictionary key.</value>
        public string DictionaryKey { get; set; }

        /// <summary>
        /// Gets or sets the command.
        /// </summary>
        /// <value>The command.</value>
        public BackgroundWorkerUtilityData Command { get; set; }
    }
}
