﻿using System;

namespace Songhay.Mvvm.Models
{
    /// <summary>
    /// A Composition Message
    /// for the conventional Command Dictionary
    /// </summary>
    public class CommandDictionaryMessage
    {
        /// <summary>
        /// Gets or sets the dictionary key.
        /// </summary>
        /// <value>The dictionary key.</value>
        public string DictionaryKey { get; set; }

        /// <summary>
        /// Gets or sets the command.
        /// </summary>
        /// <value>The command.</value>
        public Action Command { get; set; }
    }
}
